import { v4 as uuidv4 } from 'uuid';

export abstract class BaseEntity {
  id: string = uuidv4();
  tenantId!: string;
  metadata?: Record<string, any>;
  createdAt: Date = new Date();
  updatedAt: Date = new Date();
}
